X2Go Bug report logs - #800
$X2GO_CLIENT not set

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Julius K <fooliuskoolius@gmail.com>

Date: Sun, 1 Mar 2015 13:15:01 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#800; Package <x2goserver>. (Sun, 01 Mar 2015 13:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julius K <fooliuskoolius@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 01 Mar 2015 13:15:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Julius K <fooliuskoolius@gmail.com>
To: submit@bugs.x2go.org
Subject: $X2GO_CLIENT not set
Date: Sun, 1 Mar 2015 14:14:03 +0100
Package: <x2goserver>


$ x2gostartagent
The $X2GO_CLIENT environment variable is not set. Possible reasons:
$SSH_CLIENT not set or $SSH_CONNECTION not set. Or $X2GO_CLIENT not
set by ,,X2Go Desktop Sharing'' applet. Aborting session startup.

I'm on Linux Miant 17 Qiana with the x2go/stable ppa.

Please tell me what else you need.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#800; Package <x2goserver>. (Tue, 03 Mar 2015 13:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 03 Mar 2015 13:15:02 GMT) Full text and rfc822 format available.

Message #10 received at 800@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Julius K <fooliuskoolius@gmail.com>, 800@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#800: $X2GO_CLIENT not set
Date: Tue, 03 Mar 2015 14:13:58 +0100
[Message part 1 (text/plain, inline)]
Hi Julius


On 01.03.2015 02:14 PM, Julius K wrote:
> $ x2gostartagent
> The $X2GO_CLIENT environment variable is not set. Possible reasons:
> $SSH_CLIENT not set or $SSH_CONNECTION not set. Or $X2GO_CLIENT not
> set by ,,X2Go Desktop Sharing'' applet. Aborting session startup.
>
> I'm on Linux Miant 17 Qiana with the x2go/stable ppa.
>
> Please tell me what else you need.

x2gostartagent is not meant to be started manually, but only via
x2goclient or pyhoca-*. Thus, the behavior shown is correct.

What is the real problem at hand?



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#800; Package <x2goserver>. (Tue, 10 Mar 2015 13:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julius K <fooliuskoolius@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 10 Mar 2015 13:15:02 GMT) Full text and rfc822 format available.

Message #15 received at 800@bugs.x2go.org (full text, mbox):

From: Julius K <fooliuskoolius@gmail.com>
To: Mihai Moldovan <ionic@ionic.de>
Cc: "x2go-dev@lists.x2go.org" <x2go-dev@lists.x2go.org>, 800@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#800: $X2GO_CLIENT not set
Date: Tue, 10 Mar 2015 14:11:43 +0100
[Message part 1 (text/plain, inline)]
2015-03-09 17:17 GMT+01:00 Mihai Moldovan <ionic@ionic.de>:

> On 09.03.2015 04:06 PM, Julius K wrote:
> > 2015-03-03 14:13 GMT+01:00 Mihai Moldovan <ionic@ionic.de
> > <mailto:ionic@ionic.de>>:
> >
> >     On 01.03.2015 02:14 PM, Julius K wrote:
> >     > $ x2gostartagent
> >     > [Error Message]
> >     >
> >     > I'm on Linux Miant 17 Qiana with the x2go/stable ppa.
> >     > [...]
> >
> >     x2gostartagent is not meant to be started manually, but only via
> >     x2goclient or pyhoca-*. Thus, the behavior shown is correct.
> >
> >
> > Ooh, I'm really sorry for this, I thought I have to start the server
> > manually but it starts automatically after installation, right?
>
> I'll be adding back the list, because this may be of interest for other
> people, too.
>
> X2Go Server is not using a daemon for its normal mode of operation, so
> there's nothing "started" (neither automatically nor manually) after
> installation. The init script that is automatically is merely running
> "x2gocleansessions" to get rid of stale/disconnected/terminated
> sessions. (But creating sessions will still work even with this
> disabled. You just may have a mess on your hands afterwards...)
>
> Every session is started by X2Go Client (or PyHoca-*) via SSH. Both
> launch x2gostartagent via the SSH connection to the remote server *when
> creating a new session*.
>
> Thus, once you install x2goserver, it's ready to use (minus special
> features which come in via, e.g., x2goserver-xsession.)
>

>
> >     What is the real problem at hand?
> >
> >
> > Now I try to connect from a windows machine to Linux, but it doesn't
> work.
> > I checked, ssh works.
> > When I connect, sometimes it gives an error message like this: "failed
> > to suspend session with ID [...]" or the programm just gets totally
> > unresponsive and I have to restart it.
> >
> >
>
> Ok, that's more interesting and actually suitable for the bug report.
>
> Please start up cmd.exe, then:
>
> cd path\where\x2goclient.exe\is\installed\in
> x2goclient.exe --debug > debug.log 2>&1
>
> The debug log could potentially be helpful in tracking this down. When
> you respond, please make sure to CC 800@bugs.x2go.org.
>

I'm just pasting the debug file below. I did what I described earlier and
the error message appeared and is also in the debug file.

x2go-INFO-1> "Starting x2goclient..."
x2go-INFO-4> "√úbersetzung: :/x2goclient_de_de installiert."
x2go-INFO-5> "√úbersetzung: :/qt_de_DE installiert."
x2go-DEBUG-onmainwindow.cpp:9817> Getting Xorg settings.
x2go-INFO-3> "X2Go Client ist gestartet."
x2go-DEBUG-onmainwindow.cpp:495> "$HOME=C:/Users/Foolius"
x2go-DEBUG-onmainwindow.cpp:2123> Reading 2 sessions from config file.
x2go-DEBUG-onmainwindow.cpp:9543> Starting win servers...
x2go-DEBUG-onmainwindow.cpp:9895> "C:/Users/Foolius/.x2go/etc/sshd_config
created."
x2go-DEBUG-onmainwindow.cpp:9312> got localhost
x2go-DEBUG-onmainwindow.cpp:9334> Port is free: 7022
x2go-DEBUG-onmainwindow.cpp:9951> Creating desktop: x2go_Foolius
x2go-INFO-8> "Verbindung mit Server wird gestartet: T410-Mint:22"
x2go-DEBUG-onmainwindow.cpp:2702> Start new ssh connection to
server:"T410-Mint":"22" krbLogin: false
x2go-DEBUG-sshmasterconnection.cpp:202> starting ssh connection without
kerberos authentication

x2go-DEBUG-sshmasterconnection.cpp:206> SshMasterConnection, instance
SshMasterConnection(0x3283d78)  created
x2go-DEBUG-sshmasterconnection.cpp:442> SshMasterConnection, instance
SshMasterConnection(0x3283d78)  entering thread
x2go-DEBUG-sshmasterconnection.cpp:478> libSsh not inited yet, initting

x2go-DEBUG-sshmasterconnection.cpp:522> setting SSH DIR to
"C:/Users/Foolius/ssh"
x2go-DEBUG-sshmasterconnection.cpp:789> cserverAuth

x2go-DEBUG-sshmasterconnection.cpp:804> state: 1

x2go-DEBUG-sshmasterconnection.cpp:640> setting SSH DIR to
"C:/Users/Foolius/ssh"
x2go-DEBUG-sshmasterconnection.cpp:963> Password authentication

x2go-DEBUG-sshmasterconnection.cpp:654> user auth OK

x2go-DEBUG-onmainwindow.cpp:2797> SSH connection established.
x2go-DEBUG-onmainwindow.cpp:3060> Continue normal x2go session
x2go-DEBUG-sshprocess.cpp:189> executing remote command via SshProcess
object (0): "export HOSTNAME && x2golistsessions"

x2go-DEBUG-sshmasterconnection.cpp:1434> creating new channel

x2go-DEBUG-sshmasterconnection.cpp:1438> new channel:0x32436e8

x2go-DEBUG-sshmasterconnection.cpp:1469> executing remote: "sh -c 'echo
X2GODATABEGIN:9957aa01-d4b4-451b-9151-2086a87f750b;
PATH=/usr/local/bin:/usr/bin:/bin export HOSTNAME && x2golistsessions; echo
X2GODATAEND:9957aa01-d4b4-451b-9151-2086a87f750b;'"

x2go-DEBUG-sshmasterconnection.cpp:1492>  new exec channel created

x2go-DEBUG-sshmasterconnection.cpp:1596> EOF ON CHANNEL 0x32436e8
(SshProcess: 0)

x2go-DEBUG-sshmasterconnection.cpp:1664> eof sent

x2go-DEBUG-sshmasterconnection.cpp:1668> channel closed

x2go-DEBUG-sshprocess.cpp:449> ssh finished: true -
"20854|foo-53-1425912309_stDCINNAMON_dp32|53|T410-Mint|R|2015-03-09T15:45:09|8a956e4e9fa14491b8a9bcf8bd5d5625|192.168.178.30|30010|30011|2015-03-10T10:50:35|foo|80589|30012|
23735|foo-54-1425912488_stDCINNAMON_dp32|54|T410-Mint|R|2015-03-09T15:48:08|002f67c52ed75d4e7b7100f06d89830b|192.168.178.30|30013|30014|2015-03-09T17:29:52|foo|80410|30015|
27924|foo-55-1425912719_stDCINNAMON_dp32|55|T410-Mint|R|2015-03-09T15:51:59|7636feced9a254c6213956624f4d0165|192.168.178.30|30016|30017|2015-03-09T21:52:55|foo|80179|30018|
" (0).

x2go-DEBUG-onmainwindow.cpp:3404>
"20854|foo-53-1425912309_stDCINNAMON_dp32|53|T410-Mint|R|2015-03-09T15:45:09|8a956e4e9fa14491b8a9bcf8bd5d5625|192.168.178.30|30010|30011|2015-03-10T10:50:35|foo|80589|30012|
23735|foo-54-1425912488_stDCINNAMON_dp32|54|T410-Mint|R|2015-03-09T15:48:08|002f67c52ed75d4e7b7100f06d89830b|192.168.178.30|30013|30014|2015-03-09T17:29:52|foo|80410|30015|
27924|foo-55-1425912719_stDCINNAMON_dp32|55|T410-Mint|R|2015-03-09T15:51:59|7636feced9a254c6213956624f4d0165|192.168.178.30|30016|30017|2015-03-09T21:52:55|foo|80179|30018|
"
x2go-DEBUG-onmainwindow.cpp:4231> No shadow session.
x2go-DEBUG-onmainwindow.cpp:4254> "Decoding
Sessionstring:20854|foo-53-1425912309_stDCINNAMON_dp32|53|T410-Mint|R|2015-03-09T15:45:09|8a956e4e9fa14491b8a9bcf8bd5d5625|192.168.178.30|30010|30011|2015-03-10T10:50:35|foo|80589|30012|"
x2go-DEBUG-onmainwindow.cpp:4254> "Decoding
Sessionstring:23735|foo-54-1425912488_stDCINNAMON_dp32|54|T410-Mint|R|2015-03-09T15:48:08|002f67c52ed75d4e7b7100f06d89830b|192.168.178.30|30013|30014|2015-03-09T17:29:52|foo|80410|30015|"
x2go-DEBUG-onmainwindow.cpp:4254> "Decoding
Sessionstring:27924|foo-55-1425912719_stDCINNAMON_dp32|55|T410-Mint|R|2015-03-09T15:51:59|7636feced9a254c6213956624f4d0165|192.168.178.30|30016|30017|2015-03-09T21:52:55|foo|80179|30018|"
x2go-DEBUG-sshprocess.cpp:189> executing remote command via SshProcess
object (1): "x2gosuspend-session foo-53-1425912309_stDCINNAMON_dp32"

x2go-DEBUG-sshmasterconnection.cpp:1434> creating new channel

x2go-DEBUG-sshmasterconnection.cpp:1438> new channel:0x3243690

x2go-DEBUG-sshmasterconnection.cpp:1469> executing remote: "sh -c 'echo
X2GODATABEGIN:bcf98f38-0eff-4f41-93f6-ca3b14250c0e;
PATH=/usr/local/bin:/usr/bin:/bin x2gosuspend-session
foo-53-1425912309_stDCINNAMON_dp32; echo
X2GODATAEND:bcf98f38-0eff-4f41-93f6-ca3b14250c0e;'"

x2go-DEBUG-sshmasterconnection.cpp:1492>  new exec channel created

x2go-DEBUG-sshmasterconnection.cpp:1596> EOF ON CHANNEL 0x3243690
(SshProcess: 1)

x2go-DEBUG-sshmasterconnection.cpp:1664> eof sent

x2go-DEBUG-sshmasterconnection.cpp:1668> channel closed

x2go-DEBUG-sshprocess.cpp:444> have only stderr, something must be wrong

x2go-DEBUG-sshprocess.cpp:449> ssh finished: false - "ERROR: failed to
suspend session with ID foo-53-1425912309_stDCINNAMON_dp32
" (1).

x2go-DEBUG-onmainwindow.cpp:9312> got localhost
x2go-DEBUG-onmainwindow.cpp:9334> Port is free: 6000
x2go-DEBUG-onmainwindow.cpp:9400> using internal X: true
x2go-DEBUG-onmainwindow.cpp:9423> WxH:"800"x"600"
x2go-DEBUG-onmainwindow.cpp:9428> "-multiwindow -notrayicon -clipboard"
x2go-DEBUG-onmainwindow.cpp:9465> Running "c:/Program Files
(x86)/x2goclient\vcxsrv\vcxsrv.exe" "-multiwindow -notrayicon -clipboard :0"
x2go-DEBUG-sshprocess.cpp:189> executing remote command via SshProcess
object (2): "x2goresume-session foo-53-1425912309_stDCINNAMON_dp32 800x600
adsl 16m-jpeg-9 de auto 1 both"

x2go-DEBUG-sshmasterconnection.cpp:1434> creating new channel

x2go-DEBUG-sshmasterconnection.cpp:1438> new channel:0x361bcf8

x2go-DEBUG-sshmasterconnection.cpp:1469> executing remote: "sh -c 'echo
X2GODATABEGIN:553ddae2-bcc9-4d80-9eb0-94edaf9953b0;
PATH=/usr/local/bin:/usr/bin:/bin x2goresume-session
foo-53-1425912309_stDCINNAMON_dp32 800x600 adsl 16m-jpeg-9 de auto 1 both;
echo X2GODATAEND:553ddae2-bcc9-4d80-9eb0-94edaf9953b0;'"

x2go-DEBUG-sshmasterconnection.cpp:1492>  new exec channel created

x2go-DEBUG-onmainwindow.cpp:9312> got localhost
x2go-DEBUG-onmainwindow.cpp:9340> Port already used: 6000
x2go-DEBUG-onmainwindow.cpp:9494> X is started.
x2go-DEBUG-onmainwindow.cpp:9861> All winservers are started.
x2go-DEBUG-onmainwindow.cpp:1479> Close event received.

x2go-DEBUG-onmainwindow.cpp:1503> Quitting tray icon and closing
application.

x2go-INFO-6> "X2Go Client wird geschossen..."
x2go-DEBUG-onmainwindow.cpp:1332> Saving settings...
x2go-DEBUG-onmainwindow.cpp:1341> Saved  settings.
x2go-DEBUG-onmainwindow.cpp:1363> Waiting for the SSH connection to
finish...
x2go-DEBUG-sshmasterconnection.cpp:708> SshMasterConnection, instance
SshMasterConnection(0x3283d78)  waiting for thread to finish
x2go-DEBUG-sshmasterconnection.cpp:1353> Disconnecting...

x2go-DEBUG-sshmasterconnection.cpp:1364> Deleting channel connections

x2go-DEBUG-sshmasterconnection.cpp:1664> eof sent

x2go-DEBUG-sshmasterconnection.cpp:1668> channel closed

x2go-DEBUG-sshmasterconnection.cpp:1372> Disconnect session

x2go-DEBUG-sshmasterconnection.cpp:1378> Delete sockets

x2go-DEBUG-sshmasterconnection.cpp:1385> All channels closed, session
disconnected, quiting session loop

x2go-DEBUG-sshmasterconnection.cpp:712> SshMasterConnection, instance
SshMasterConnection(0x3283d78)  thread finished
x2go-DEBUG-sshprocess.cpp:52> ssh process destructor
x2go-DEBUG-sshprocess.cpp:52> ssh process destructor
x2go-DEBUG-sshprocess.cpp:52> ssh process destructor
x2go-DEBUG-sshmasterconnection.cpp:719> SshMasterConnection, instance
SshMasterConnection(0x3283d78)  SshMasterConnection, instance
SshMasterConnection(0x7fce7c008aa0) deleted
x2go-DEBUG-onmainwindow.cpp:1365> Waited  for the SSH connection to finish.
x2go-DEBUG-onmainwindow.cpp:1429> Terminating xorg...
x2go-DEBUG-onmainwindow.cpp:1431> Terminated  xorg.
x2go-DEBUG-onmainwindow.cpp:1432> Deleting xorg...
QProcess: Destroyed while process is still running.
x2go-DEBUG-onmainwindow.cpp:1434> Deleted xorg.
x2go-DEBUG-sshmasterconnection.cpp:736> libssh finalized

x2go-INFO-7> "X2Go Client wurde geschlossen."
x2go-DEBUG-onmainwindow.cpp:508> Destroying x2goclient...
x2go-DEBUG-onmainwindow.cpp:511> Destroyed  x2goclient.


>
>
>
> Mihai
>
>
[Message part 2 (text/html, inline)]

Bug reassigned from package '<x2goserver>' to 'x2goserver'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 24 Apr 2015 20:45:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#800; Package x2goserver. (Sat, 04 Mar 2017 17:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuela Wendler <manuelahendler@gmx.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 04 Mar 2017 17:05:02 GMT) Full text and rfc822 format available.

Message #22 received at 800@bugs.x2go.org (full text, mbox):

From: Manuela Wendler <manuelahendler@gmx.com>
To: 800@bugs.x2go.org
Subject: Nachricht empfangen am_k_leinanzeigen
Date: Sat, 4 Mar 2017 18:00:03 +0100 (CET)
[Message part 1 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#800; Package x2goserver. (Sun, 05 Mar 2017 14:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuela Wendler <manuelahendler@gmx.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 05 Mar 2017 14:20:02 GMT) Full text and rfc822 format available.

Message #27 received at 800@bugs.x2go.org (full text, mbox):

From: Manuela Wendler <manuelahendler@gmx.com>
To: 800@bugs.x2go.org
Subject: Nachricht empfangen am_k_leinanzeigen
Date: Sun, 5 Mar 2017 15:15:12 +0100 (CET)
[Message part 1 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Dec 12 05:42:53 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.